
QGIS Application - Bug report #19087

QGIS 3.0.3, PostGIS 2.4.4/PostGres 10.3

2018-06-01 08:01 PM - al piszcz

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:3.0.3 Regression?: No

Operating System: Windows 10/64 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26917

Description

1. Import vector layer and use QGIS Browser to connect and display vector data works fine.

2. Import GeoTIF raster data to table and the table is not display in QGIS Browser, the imported raster table is in the database when

viewed with psql, sql, dbeaver.

Is it possible to display and then load rasters from the QGIS Browser in QGIS 3.0.3?

Thank you.

History

#1 - 2018-06-02 08:50 AM - al piszcz

PostGIS Log Message

2018-06-01T22:54:17    WARNING    Field rast ignored, because of unsupported type raster

I tried a suggestion to modify the datasource line in the .qgs project file and reloaded, same error

<datasource>PG: dbname='tdb' host=localhost port=5444 user='postgres' sslmode=disable key='rid' table="mtiscanraster"."test" column=rast

sql=</datasource>

tested column="rast" 'rast' rast

#2 - 2018-06-02 11:43 AM - al piszcz

- Status changed from Open to Closed
